package com.bonus.material.scrap.service;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.repair.domain.ToBeRepair;
import com.bonus.material.scrap.domain.ToBeScrap;

import java.util.List;

public interface ToBeScrapService {

    /**
     * 删除任务
     */
    AjaxResult deleteChangeInfo(Long id);

    /**
     * 审批任务明细
     */
    AjaxResult auditData(ToBeScrap bean);

    /**
     * 新增报废退役任务
     */
    AjaxResult addScrapData(ToBeScrap bean);

    /**
     * 获取在库的装备、工具列表
     */
    List<ToBeScrap> getInStockList(ToBeScrap bean);

    /**
     * 获取报废申请列表
     */
    List<ToBeScrap> getScrapApplyList(ToBeScrap bean);

    /**
     * 获取报废详情明细
     */
    List<ToBeScrap> getScrapDetailsList(ToBeScrap bean);

    List<ToBeScrap> getDetail(String id);
}
